Bug 248248

Summary: [NEW PORT] java/openjfx14: JavaFX SDK overlay for OpenJDK 11
Product: Ports & Packages Reporter: Mikael Urankar <mikael>
Component: Individual Port(s)Assignee: Mikael Urankar <mikael>
Status: Closed FIXED    
Severity: Affects Only Me CC: pi, rhurlin, shoesoft, vvd
Priority: --- Keywords: feature, needs-qa
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on: 248098    
Bug Blocks:    
Attachments:
Description Flags
v1
none
java/openjdk11: added option for support JavaFX 14 SDK overlay
none
java/openjdk11: added option for support JavaFX 14 SDK overlay none

Description Mikael Urankar freebsd_committer 2020-07-24 18:52:24 UTC
Created attachment 216749 [details]
v1
Comment 1 Mikael Urankar freebsd_committer 2020-07-24 19:00:01 UTC
+
svn delete files/patch-buildSrc_build.gradle
svn delete files/patch-modules_base_src_main_java_com_sun_javafx_PlatformUtil.java
svn delete files/patch-modules_controls_src_main_java_com_sun_javafx_scene_control_behavior_TextInputControlBehavior.java
svn delete files/patch-modules_controls_src_main_java_com_sun_javafx_scene_control_behavior_TextInputControlBindings.java
svn delete files/patch-modules_fxpackager_src_main_native_library_common_PosixPlatform.cpp
svn delete files/patch-modules_graphics_src_main_java_com_sun_glass_ui_Platform.java
svn delete files/patch-modules_graphics_src_main_java_com_sun_glass_utils_NativeLibLoader.java
svn delete files/patch-modules_graphics_src_main_java_com_sun_javafx_font_LogicalFont.java
svn delete files/patch-modules_graphics_src_main_java_com_sun_javafx_font_PrismFontFactory.java
svn delete files/patch-modules_graphics_src_main_java_com_sun_javafx_tk_Toolkit.java
svn delete files/patch-modules_graphics_src_main_java_com_sun_javafx_tk_quantum_GlassSystemMenu.java
svn delete files/patch-modules_graphics_src_main_java_com_sun_javafx_tk_quantum_WindowStage.java
svn delete files/patch-modules_graphics_src_main_java_com_sun_prism_impl_PrismSettings.java
svn delete files/patch-modules_graphics_src_main_native-font_fontpath__linux.c
svn delete files/patch-modules_graphics_src_main_native-font_freetype.c
svn delete files/patch-modules_graphics_src_main_native-font_pango.c
svn delete files/patch-modules_graphics_src_main_native-glass_gtk_GlassApplication.cpp
svn delete files/patch-modules_graphics_src_main_native-glass_gtk_glass__evloop.cpp
svn delete files/patch-modules_graphics_src_main_native-glass_gtk_glass__window.h
svn delete files/patch-modules_graphics_src_main_native-glass_gtk_launcher.c
svn delete files/patch-modules_graphics_src_main_native-glass_gtk_wrapped.c
svn delete files/patch-modules_graphics_src_main_native-prism-es2_PrismES2Defs.h
svn delete files/patch-modules_media_src_main_java_com_sun_media_jfxmediaimpl_HostUtils.java
svn delete files/patch-modules_media_src_main_java_com_sun_media_jfxmediaimpl_NativeMediaManager.java
svn delete files/patch-modules_media_src_main_native_gstreamer_gstreamer-lite_gstreamer_gst_gstregistry.c
svn delete files/patch-modules_media_src_main_native_gstreamer_gstreamer-lite_projects_build_linux_common_config.h
svn delete files/patch-modules_media_src_main_native_gstreamer_projects_bsd_avplugin_Makefile
svn delete files/patch-modules_media_src_main_native_gstreamer_projects_bsd_fxplugins_Makefile
svn delete files/patch-modules_media_src_main_native_gstreamer_projects_bsd_gstreamer-lite_Makefile
svn delete files/patch-modules_media_src_main_native_jfxmedia_platform_gstreamer_GstPipelineFactory.cpp
svn delete files/patch-modules_media_src_main_native_jfxmedia_projects_bsd_Makefile
svn delete files/patch-modules_swing_src_main_java_javafx_embed_swing_JFXPanel.java
svn delete files/patch-modules_swing_src_main_java_javafx_embed_swing_SwingNode.java
svn delete files/patch-modules_web_src_main_native_Source_PlatformJava.cmake
svn delete files/patch-modules_web_src_main_native_Source_WTF_wtf_CMakeLists.txt
svn delete files/patch-modules_web_src_main_native_Source_WTF_wtf_Optional.h
svn delete files/patch-modules_web_src_main_native_Source_WTF_wtf_unicode_java_UnicodeJava.h
svn delete files/patch-modules_web_src_main_native_Source_WebCore_dom_Document.cpp
svn delete files/patch-modules_web_src_main_native_Source_cmake_OptionsJava.cmake
svn delete files/patch-modules_web_src_main_native_Source_cmake_WebKitCompilerFlags.cmake
svn delete files/patch-modules_web_src_main_native_Tools_DumpRenderTree_TestRunner.cpp
svn delete files/patch-modules_web_src_main_native_Tools_DumpRenderTree_java_CMakeLists.txt
svn delete files/patch-modules_web_src_main_native_Tools_Scripts_webkitdirs.pm
Comment 2 VVD 2020-07-25 06:43:50 UTC
Nice!

Did you report the patches to upstream?
Comment 3 Mikael Urankar freebsd_committer 2020-07-25 06:56:34 UTC
(In reply to VVD from comment #2)
not yet.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-15 05:08:31 UTC
^Triage: Reporter is committer, assign accordingly
Comment 5 VVD 2020-09-25 11:46:58 UTC
But it still depends on python 2.7:
WEBKIT_USES=	bison gmake gperf perl5 python:2.7,build
Comment 6 Mikael Urankar freebsd_committer 2020-09-25 13:36:55 UTC
(In reply to VVD from comment #5)
It's fixed on my github https://github.com/MikaelUrankar/openjfx14-ports
Comment 7 Kurt Jaeger freebsd_committer 2020-09-28 11:44:12 UTC
(In reply to Mikael Urankar from comment #6)
I'm using your git repo to testbuild.
Comment 8 VVD 2020-10-03 15:50:40 UTC
(In reply to Mikael Urankar from comment #6)
: ../../platform/gstreamer/GstAudioSpectrum.cppexpanded from macro 'G_DEPRECATED_FOR'
#define G_DEPRECATED_FOR(f) __attribute__((__deprecated__("Use '" #f "' instead")))
:                                           ^98:5: error: cannot initialize a parameter of type 'gpointer *' (aka 'void **') with an rvalue of type 'typeof ((old_holder)) *' (aka 'CBandsHolder **')
    g_atomic_pointer_compare_and_exchange((gpointer*)&m_pHolder, old_holder, holder);
    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/glib-2.0/glib/gatomic.h:192:44: note: expanded from macro 'g_atomic_pointer_compare_and_exchange'
    __atomic_compare_exchange_n ((atomic), &gapcae_oldval, (newval), FALSE, __ATOMIC_SEQ_CST, __ATOMIC_SEQ_CST) ? TRUE : FALSE; \
                                           ^~~~~~~~~~~~~~

../../platform/gstreamer/GstAVPlaybackPipeline.cpp../../platform/gstreamer/GstAudioPlaybackPipeline.cpp::511255::131 warning and 1 error generated.
13:: 29 warning warningwarning: s: 'GTimeVal' is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations] generated'g_get_current_time' is deprecated: Use 'g_get_real_time' instead [-Wdeprecated-declarations]
.

            GTimeVal now;gmake[2]: *** [Makefile:142: /tmp/work/usr/ports/java/openjfx14/work/jfx-14.0.2.1-1/modules/javafx.media/build/native/bsd/Release/obj/jfxmedia/platform/gstreamer/GstAudioSpectrum.o] Error 1
gmake[2]: *** Waiting for unfinished jobs....

            g_get_current_time (&now);            ^

            ^/usr/local/include/glib-2.0/glib/gtypes.h
:/usr/local/include/glib-2.0/glib/gmain.h545::68035::1 :note : note'GTimeVal' has been explicitly marked deprecated here: 
'g_get_current_time' has been explicitly marked deprecated heretypedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);

GLIB_DEPRECATED_IN_2_62_FOR(g_get_real_time)                                  ^

^/usr/local/include/glib-2.0/glib/gversionmacros.h
:/usr/local/include/glib-2.0/glib/gversionmacros.h923::91749::49 :note : noteexpanded from macro 'GLIB_DEPRECATED_TYPE_IN_2_62_FOR': 
expanded from macro 'GLIB_DEPRECATED_IN_2_62_FOR'# define GLIB_DEPRECATED_TYPE_IN_2_62_FOR(f)    GLIB_DEPRECATED_TYPE_FOR(f)

# define GLIB_DEPRECATED_IN_2_62_FOR(f)         GLIB_DEPRECATED_FOR(f)                                                ^

                                                ^/usr/local/include/glib-2.0/glib/gmacros.h
:/usr/local/include/glib-2.0/glib/gmacros.h1018::98437::32 :note : noteexpanded from macro 'GLIB_DEPRECATED_TYPE_FOR': 
expanded from macro 'GLIB_DEPRECATED_FOR'#define GLIB_DEPRECATED_TYPE_FOR(f) G_DEPRECATED_FOR(f)

#define GLIB_DEPRECATED_FOR(f) G_DEPRECATED_FOR(f) _GLIB_EXTERN                                    ^

                               ^/usr/local/include/glib-2.0/glib/gmacros.h
:/usr/local/include/glib-2.0/glib/gmacros.h952::95244::44 :note : noteexpanded from macro 'G_DEPRECATED_FOR': 
expanded from macro 'G_DEPRECATED_FOR'#define G_DEPRECATED_FOR(f) __attribute__((__deprecated__("Use '" #f "' instead")))

#define G_DEPRECATED_FOR(f) __attribute__((__deprecated__("Use '" #f "' instead")))                                           ^

                                           ^../../platform/gstreamer/GstAVPlaybackPipeline.cpp
:../../platform/gstreamer/GstAudioPlaybackPipeline.cpp512::27513::13 :warning : warning'g_get_current_time' is deprecated: Use 'g_get_real_time' instead [-Wdeprecated-declarations]: 
'GTimeVal' is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]            g_get_current_time (&now);

            GTimeVal now;            ^

            ^/usr/local/include/glib-2.0/glib/gmain.h
:/usr/local/include/glib-2.0/glib/gtypes.h680::5451::35 :note : note'g_get_current_time' has been explicitly marked deprecated here: 
'GTimeVal' has been explicitly marked deprecated hereGLIB_DEPRECATED_IN_2_62_FOR(g_get_real_time)

typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);^

                                  ^/usr/local/include/glib-2.0/glib/gversionmacros.h
:/usr/local/include/glib-2.0/glib/gversionmacros.h917::92349::49 :note : noteexpanded from macro 'GLIB_DEPRECATED_IN_2_62_FOR': 
expanded from macro 'GLIB_DEPRECATED_TYPE_IN_2_62_FOR'# define GLIB_DEPRECATED_IN_2_62_FOR(f)         GLIB_DEPRECATED_FOR(f)

# define GLIB_DEPRECATED_TYPE_IN_2_62_FOR(f)    GLIB_DEPRECATED_TYPE_FOR(f)                                                ^

                                                ^/usr/local/include/glib-2.0/glib/gmacros.h
:/usr/local/include/glib-2.0/glib/gmacros.h984::101832::37 :note : noteexpanded from macro 'GLIB_DEPRECATED_FOR': 
expanded from macro 'GLIB_DEPRECATED_TYPE_FOR'#define GLIB_DEPRECATED_FOR(f) G_DEPRECATED_FOR(f) _GLIB_EXTERN

#define GLIB_DEPRECATED_TYPE_FOR(f) G_DEPRECATED_FOR(f)                               ^

                                    ^/usr/local/include/glib-2.0/glib/gmacros.h
:/usr/local/include/glib-2.0/glib/gmacros.h952::95244::44 :note : noteexpanded from macro 'G_DEPRECATED_FOR': 
expanded from macro 'G_DEPRECATED_FOR'#define G_DEPRECATED_FOR(f) __attribute__((__deprecated__("Use '" #f "' instead")))

#define G_DEPRECATED_FOR(f) __attribute__((__deprecated__("Use '" #f "' instead")))                                           ^

                                           ^
../../platform/gstreamer/GstAVPlaybackPipeline.cpp../../platform/gstreamer/GstAudioPlaybackPipeline.cpp::422276::5513::  warningwarning: : unused parameter 'element' [-Wunused-parameter]'g_get_current_time' is deprecated: Use 'g_get_real_time' instead [-Wdeprecated-declarations]

void CGstAVPlaybackPipeline::on_pad_added(GstElement *element, GstPad *pad, CGstAVPlaybackPipeline *pPipeline)            g_get_current_time (&now);

                                                      ^            ^

/usr/local/include/glib-2.0/glib/gmain.h:680:1: note: 'g_get_current_time' has been explicitly marked deprecated here
GLIB_DEPRECATED_IN_2_62_FOR(g_get_real_time)
^
/usr/local/include/glib-2.0/glib/gversionmacros.h:917:49: note: expanded from macro 'GLIB_DEPRECATED_IN_2_62_FOR'
# define GLIB_DEPRECATED_IN_2_62_FOR(f)         GLIB_DEPRECATED_FOR(f)
                                                ^
/usr/local/include/glib-2.0/glib/gmacros.h:984:32: note: expanded from macro 'GLIB_DEPRECATED_FOR'
#define GLIB_DEPRECATED_FOR(f) G_DEPRECATED_FOR(f) _GLIB_EXTERN
                               ^
/usr/local/include/glib-2.0/glib/gmacros.h:952:44: note: expanded from macro 'G_DEPRECATED_FOR'
#define G_DEPRECATED_FOR(f) __attribute__((__deprecated__("Use '" #f "' instead")))
                                           ^
../../platform/gstreamer/GstAudioPlaybackPipeline.cpp:293:13: warning: 'GTimeVal' is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
            GTimeVal now;
1 warning generated.
            ^
/usr/local/include/glib-2.0/glib/gtypes.h:545:35: note: 'GTimeVal' has been explicitly marked deprecated here
typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
                                  ^
/usr/local/include/glib-2.0/glib/gversionmacros.h:923:49: note: expanded from macro 'GLIB_DEPRECATED_TYPE_IN_2_62_FOR'
# define GLIB_DEPRECATED_TYPE_IN_2_62_FOR(f)    GLIB_DEPRECATED_TYPE_FOR(f)
                                                ^
/usr/local/include/glib-2.0/glib/gmacros.h:1018:37: note: expanded from macro 'GLIB_DEPRECATED_TYPE_FOR'
#define GLIB_DEPRECATED_TYPE_FOR(f) G_DEPRECATED_FOR(f)
                                    ^
/usr/local/include/glib-2.0/glib/gmacros.h:952:44: note: expanded from macro 'G_DEPRECATED_FOR'
#define G_DEPRECATED_FOR(f) __attribute__((__deprecated__("Use '" #f "' instead")))
                                           ^
../../platform/gstreamer/GstAudioPlaybackPipeline.cpp:294:13: warning: 'g_get_current_time' is deprecated: Use 'g_get_real_time' instead [-Wdeprecated-declarations]
            g_get_current_time (&now);
            ^
/usr/local/include/glib-2.0/glib/gmain.h:680:1: note: 'g_get_current_time' has been explicitly marked deprecated here
GLIB_DEPRECATED_IN_2_62_FOR(g_get_real_time)
^
/usr/local/include/glib-2.0/glib/gversionmacros.h:917:49: note: expanded from macro 'GLIB_DEPRECATED_IN_2_62_FOR'
# define GLIB_DEPRECATED_IN_2_62_FOR(f)         GLIB_DEPRECATED_FOR(f)
                                                ^
/usr/local/include/glib-2.0/glib/gmacros.h:984:32: note: expanded from macro 'GLIB_DEPRECATED_FOR'
#define GLIB_DEPRECATED_FOR(f) G_DEPRECATED_FOR(f) _GLIB_EXTERN
                               ^
/usr/local/include/glib-2.0/glib/gmacros.h:952:44: note: expanded from macro 'G_DEPRECATED_FOR'
#define G_DEPRECATED_FOR(f) __attribute__((__deprecated__("Use '" #f "' instead")))
                                           ^
../../platform/gstreamer/GstAudioPlaybackPipeline.cpp:319:13: warning: 'GTimeVal' is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
            GTimeVal now;
            ^
/usr/local/include/glib-2.0/glib/gtypes.h:545:35: note: 'GTimeVal' has been explicitly marked deprecated here
typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
                                  ^
/usr/local/include/glib-2.0/glib/gversionmacros.h:923:49: note: expanded from macro 'GLIB_DEPRECATED_TYPE_IN_2_62_FOR'
# define GLIB_DEPRECATED_TYPE_IN_2_62_FOR(f)    GLIB_DEPRECATED_TYPE_FOR(f)
                                                ^
/usr/local/include/glib-2.0/glib/gmacros.h:1018:37: note: expanded from macro 'GLIB_DEPRECATED_TYPE_FOR'
#define GLIB_DEPRECATED_TYPE_FOR(f) G_DEPRECATED_FOR(f)
                                    ^
/usr/local/include/glib-2.0/glib/gmacros.h:952:44: note: expanded from macro 'G_DEPRECATED_FOR'
#define G_DEPRECATED_FOR(f) __attribute__((__deprecated__("Use '" #f "' instead")))
                                           ^
../../platform/gstreamer/GstAudioPlaybackPipeline.cpp:320:13: warning: 'g_get_current_time' is deprecated: Use 'g_get_real_time' instead [-Wdeprecated-declarations]
            g_get_current_time (&now);
            ^
/usr/local/include/glib-2.0/glib/gmain.h:680:1: note: 'g_get_current_time' has been explicitly marked deprecated here
GLIB_DEPRECATED_IN_2_62_FOR(g_get_real_time)
^
/usr/local/include/glib-2.0/glib/gversionmacros.h:917:49: note: expanded from macro 'GLIB_DEPRECATED_IN_2_62_FOR'
# define GLIB_DEPRECATED_IN_2_62_FOR(f)         GLIB_DEPRECATED_FOR(f)
                                                ^
/usr/local/include/glib-2.0/glib/gmacros.h:984:32: note: expanded from macro 'GLIB_DEPRECATED_FOR'
#define GLIB_DEPRECATED_FOR(f) G_DEPRECATED_FOR(f) _GLIB_EXTERN
                               ^
/usr/local/include/glib-2.0/glib/gmacros.h:952:44: note: expanded from macro 'G_DEPRECATED_FOR'
#define G_DEPRECATED_FOR(f) __attribute__((__deprecated__("Use '" #f "' instead")))
                                           ^
../../platform/gstreamer/GstAudioPlaybackPipeline.cpp:1045:57: warning: unused parameter 'bus' [-Wunused-parameter]
gboolean CGstAudioPlaybackPipeline::BusCallback(GstBus* bus, GstMessage* msg, sBusCallbackContent* pBusCallbackContent)
                                                        ^
../../platform/gstreamer/GstAudioPlaybackPipeline.cpp:1442:37: warning: comparison of integers of different signs: 'int' and 'size_t' (aka 'unsigned long') [-Wsign-compare]
                    for (int i=0; i < bandsNum; i++)
                                  ~ ^ ~~~~~~~~
5 warnings generated.
12 warnings generated.
gmake[2]: Leaving directory '/tmp/work/usr/ports/java/openjfx14/work/jfx-14.0.2.1-1/modules/javafx.media/src/main/native/jfxmedia/projects/bsd'

> Task :media:buildBsdNative FAILED

FAILURE: Build failed with an exception.

* Where:
Build file '/tmp/work/usr/ports/java/openjfx14/work/jfx-14.0.2.1-1/build.gradle' line: 2803

* What went wrong:
Execution failed for task ':media:buildBsdNative'.
> Process 'command 'gmake'' finished with non-zero exit value 2

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/6.2.2/userguide/command_line_interface.html#sec:command_line_warnings

BUILD FAILED in 4m 24s
46 actionable tasks: 46 executed
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/java/openjfx14
*** Error code 1

Stop.
make: stopped in /usr/ports/java/openjfx14
Comment 9 Mikael Urankar freebsd_committer 2020-10-04 09:50:13 UTC
(In reply to VVD from comment #8)
Not sure the fix is correct but it compiles:
https://github.com/MikaelUrankar/openjfx14-ports/commit/c3aa29d2237dddc95445125c0f9b400b49265409
Comment 10 Rainer Hurling freebsd_committer 2020-10-06 16:03:19 UTC
java/openjfx14 including the glib patch[1] also does build and install on Poudriere.

Is it really needed to bind OpenJFX 14 with Java version 11 or wouldn't it be better to also allow versions 12 to 14?

[1] https://github.com/MikaelUrankar/openjfx14-ports/commit/c3aa29d2237dddc95445125c0f9b400b49265409
Comment 11 VVD 2020-10-06 16:13:09 UTC
(In reply to Rainer Hurling from comment #10)
Build fine for me too in live system 12.1-p10 amd64 with OpenJDK 11.
But I can't run SQLDeveloper using this OpenJFX - don't know what to add in start script/env/command line…
It starts, but can't find OpenJFX.
Comment 12 Mikael Urankar freebsd_committer 2020-10-06 18:47:49 UTC
(In reply to Rainer Hurling from comment #10)
From https://openjfx.io/openjfx-docs/
For both options, it is required to have a recent version of JDK 14, or at least JDK 11.

I just tried with openjdk11.
Comment 13 Mikael Urankar freebsd_committer 2020-10-06 18:50:02 UTC
(In reply to VVD from comment #11)
Did you recompile openjdk11 with modular jfx?:
https://github.com/MikaelUrankar/openjfx14-ports/blob/master/Makefile#L3
Comment 14 Mikael Urankar freebsd_committer 2020-10-06 18:51:44 UTC
jfx 15 was released recently
https://github.com/openjdk/jfx/blob/jfx15/doc-files/release-notes-15.md
Comment 15 VVD 2020-10-06 23:40:39 UTC
Created attachment 218577 [details]
java/openjdk11: added option for support JavaFX 14 SDK overlay

(In reply to Mikael Urankar from comment #14)
Thanks!
database/sqldeveloper work with it now: openjdk11 + openjfx14!

I create patch for java/openjdk11 - plz, look at it.
If patch is ok - I'll create separate PR with it.
Comment 16 VVD 2020-10-06 23:42:24 UTC
Created attachment 218578 [details]
java/openjdk11: added option for support JavaFX 14 SDK overlay

Fixed typo in patch.
Comment 17 Mikael Urankar freebsd_committer 2020-10-07 11:42:36 UTC
(In reply to VVD from comment #16)
That'll create a dependency loop.
Comment 18 VVD 2020-10-07 13:05:21 UTC
(In reply to Mikael Urankar from comment #17)
Yes… :-(
Is any common way how to solve this?
Comment 19 Mikael Urankar freebsd_committer 2020-10-15 09:34:44 UTC
(In reply to VVD from comment #18)
Good question, I have no idea :(
Comment 20 Stefan Ehmann 2020-10-24 21:16:06 UTC
Thanks for working on this. java/openjfx8-devel will expire soon and also fails to build currently.

The version from your github repo builds on 12.2.

Haven't done much testing, but a simple test application started using
java --module-path /usr/local/openjfx14/lib/ --add-modules=javafx.controls
Comment 21 commit-hook freebsd_committer 2020-10-28 17:15:58 UTC
A commit references this bug:

Author: mikael
Date: Wed Oct 28 17:15:34 UTC 2020
New revision: 553555
URL: https://svnweb.freebsd.org/changeset/ports/553555

Log:
  java/openjfx14: add new port

  OpenJFX is an open source, next generation client application platform for
  desktop and embedded systems based on JavaSE. It is a collaborative effort by
  many individuals and companies with the goal of producing a modern, efficient,
  and fully featured toolkit for developing rich client applications.

  PR:		248248

Changes:
  head/java/Makefile
  head/java/openjfx14/
  head/java/openjfx14/Makefile
  head/java/openjfx14/distinfo
  head/java/openjfx14/files/patch-build.gradle
  head/java/openjfx14/files/patch-buildSrc_bsd.gradle
  head/java/openjfx14/files/patch-buildSrc_build.gradle
  head/java/openjfx14/files/patch-git_c3cf651
  head/java/openjfx14/files/patch-modules_base_src_main_java_com_sun_javafx_PlatformUtil.java
  head/java/openjfx14/files/patch-modules_controls_src_main_java_com_sun_javafx_scene_control_behavior_TextInputControlBehavior.java
  head/java/openjfx14/files/patch-modules_controls_src_main_java_com_sun_javafx_scene_control_behavior_TextInputControlBindings.java
  head/java/openjfx14/files/patch-modules_fxpackager_src_main_native_library_common_PosixPlatform.cpp
  head/java/openjfx14/files/patch-modules_graphics_src_main_java_com_sun_glass_ui_Platform.java
  head/java/openjfx14/files/patch-modules_graphics_src_main_java_com_sun_glass_utils_NativeLibLoader.java
  head/java/openjfx14/files/patch-modules_graphics_src_main_java_com_sun_javafx_font_LogicalFont.java
  head/java/openjfx14/files/patch-modules_graphics_src_main_java_com_sun_javafx_font_PrismFontFactory.java
  head/java/openjfx14/files/patch-modules_graphics_src_main_java_com_sun_javafx_tk_Toolkit.java
  head/java/openjfx14/files/patch-modules_graphics_src_main_java_com_sun_javafx_tk_quantum_GlassSystemMenu.java
  head/java/openjfx14/files/patch-modules_graphics_src_main_java_com_sun_javafx_tk_quantum_WindowStage.java
  head/java/openjfx14/files/patch-modules_graphics_src_main_java_com_sun_prism_impl_PrismSettings.java
  head/java/openjfx14/files/patch-modules_graphics_src_main_native-font_fontpath__linux.c
  head/java/openjfx14/files/patch-modules_graphics_src_main_native-font_freetype.c
  head/java/openjfx14/files/patch-modules_graphics_src_main_native-font_pango.c
  head/java/openjfx14/files/patch-modules_graphics_src_main_native-glass_gtk_GlassApplication.cpp
  head/java/openjfx14/files/patch-modules_graphics_src_main_native-glass_gtk_glass__evloop.cpp
  head/java/openjfx14/files/patch-modules_graphics_src_main_native-glass_gtk_glass__window.h
  head/java/openjfx14/files/patch-modules_graphics_src_main_native-glass_gtk_launcher.c
  head/java/openjfx14/files/patch-modules_graphics_src_main_native-glass_gtk_wrapped.c
  head/java/openjfx14/files/patch-modules_graphics_src_main_native-prism-es2_PrismES2Defs.h
  head/java/openjfx14/files/patch-modules_javafx.base_src_main_java_com_sun_javafx_PlatformUtil.java
  head/java/openjfx14/files/patch-modules_javafx.controls_src_main_java_com_sun_javafx_scene_TextInputControlBehavior.java
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_java_com_sun_glass_ui_Platform.java
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_java_com_sun_glass_utils_NativeLibLoader.java
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_java_com_sun_javafx_font_LogicalFont.java
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_java_com_sun_javafx_font_PrismFontFactory.java
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_java_com_sun_javafx_tk_Toolkit.java
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_java_com_sun_javafx_tk_quantum_GlassSystemMenu.java
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_java_com_sun_javafx_tk_quantum_WindowStage.java
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_java_com_sun_prism_impl_PrismSettings.java
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_native-font_fontpath__linux.c
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_native-font_freetype.c
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_native-font_pango.c
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_native-glass_gtk_GlassApplication.cpp
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_native-glass_gtk_glass__evloop.cpp
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_native-glass_gtk_glass__window.h
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_native-glass_gtk_launcher.c
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_native-glass_gtk_wrapped.c
  head/java/openjfx14/files/patch-modules_javafx.graphics_src_main_native-prism-es2_PrismES2Defs.h
  head/java/openjfx14/files/patch-modules_javafx.media_src_main_java_com_sun_media_jfxmediaimpl_HostUtils.java
  head/java/openjfx14/files/patch-modules_javafx.media_src_main_java_com_sun_media_jfxmediaimpl_NativeMediaManager.java
  head/java/openjfx14/files/patch-modules_javafx.media_src_main_native_gstreamer_gstreamer-lite_gstreamer_gst_gst__private.h
  head/java/openjfx14/files/patch-modules_javafx.media_src_main_native_gstreamer_projects_build_linux_common_config.h
  head/java/openjfx14/files/patch-modules_javafx.media_src_main_native_jfxmedia_platform_gstreamer_GstAudioSpectrum.cpp
  head/java/openjfx14/files/patch-modules_javafx.media_src_main_native_jfxmedia_platform_gstreamer_GstPipelineFactory.cpp
  head/java/openjfx14/files/patch-modules_javafx.media_src_main_native_jfxmedia_projects_bsd_Makefile
  head/java/openjfx14/files/patch-modules_javafx.swing_src_main_java_javafx_embed_swing_JFXPanel.java
  head/java/openjfx14/files/patch-modules_javafx.swing_src_main_java_javafx_embed_swing_SwingNode.java
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_JavaScriptCore_assembler_ARM64Assembler.h
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_JavaScriptCore_offlineasm_arm64.rb
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_PlatformJava.cmake
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_WTF_wtf_MemoryPressureHandler.cpp
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_WTF_wtf_MemoryPressureHandler.h
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_WTF_wtf_Platform.h
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_WTF_wtf_PlatformJava.cmake
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_WTF_wtf_RAMSize.cpp
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_WTF_wtf_generic_MemoryFootprintGeneric.cpp
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_WTF_wtf_linux_MemoryPressureHandlerLinux.cpp
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_WTF_wtf_unicode_java_UnicodeJava.h
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_WTF_wtf_unix_MemoryPressureHandlerUnix.cpp
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_WebCore_css_StyleResolver.cpp
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_bmalloc_bmalloc_AvailableMemory.cpp
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_bmalloc_bmalloc_AvailableMemory.h
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_bmalloc_bmalloc_bmalloc.h
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_cmake_OptionsJava.cmake
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_cmake_WebKitCommon.cmake
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Source_cmake_WebKitCompilerFlags.cmake
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Tools_DumpRenderTree_TestRunner.cpp
  head/java/openjfx14/files/patch-modules_javafx.web_src_main_native_Tools_DumpRenderTree_java_CMakeLists.txt
  head/java/openjfx14/files/patch-modules_media_src_main_java_com_sun_media_jfxmediaimpl_HostUtils.java
  head/java/openjfx14/files/patch-modules_media_src_main_java_com_sun_media_jfxmediaimpl_NativeMediaManager.java
  head/java/openjfx14/files/patch-modules_media_src_main_native_gstreamer_gstreamer-lite_gstreamer_gst_gstregistry.c
  head/java/openjfx14/files/patch-modules_media_src_main_native_gstreamer_gstreamer-lite_projects_build_linux_common_config.h
  head/java/openjfx14/files/patch-modules_media_src_main_native_gstreamer_projects_bsd_avplugin_Makefile
  head/java/openjfx14/files/patch-modules_media_src_main_native_gstreamer_projects_bsd_fxplugins_Makefile
  head/java/openjfx14/files/patch-modules_media_src_main_native_gstreamer_projects_bsd_gstreamer-lite_Makefile
  head/java/openjfx14/files/patch-modules_media_src_main_native_jfxmedia_platform_gstreamer_GstPipelineFactory.cpp
  head/java/openjfx14/files/patch-modules_media_src_main_native_jfxmedia_projects_bsd_Makefile
  head/java/openjfx14/files/patch-modules_swing_src_main_java_javafx_embed_swing_JFXPanel.java
  head/java/openjfx14/files/patch-modules_swing_src_main_java_javafx_embed_swing_SwingNode.java
  head/java/openjfx14/files/patch-modules_web_src_main_native_Source_PlatformJava.cmake
  head/java/openjfx14/files/patch-modules_web_src_main_native_Source_WTF_wtf_CMakeLists.txt
  head/java/openjfx14/files/patch-modules_web_src_main_native_Source_WTF_wtf_Optional.h
  head/java/openjfx14/files/patch-modules_web_src_main_native_Source_WTF_wtf_unicode_java_UnicodeJava.h
  head/java/openjfx14/files/patch-modules_web_src_main_native_Source_WebCore_dom_Document.cpp
  head/java/openjfx14/files/patch-modules_web_src_main_native_Source_cmake_OptionsJava.cmake
  head/java/openjfx14/files/patch-modules_web_src_main_native_Source_cmake_WebKitCompilerFlags.cmake
  head/java/openjfx14/files/patch-modules_web_src_main_native_Tools_DumpRenderTree_TestRunner.cpp
  head/java/openjfx14/files/patch-modules_web_src_main_native_Tools_DumpRenderTree_java_CMakeLists.txt
  head/java/openjfx14/files/patch-modules_web_src_main_native_Tools_Scripts_webkitdirs.pm
  head/java/openjfx14/pkg-plist
Comment 22 VVD 2020-10-28 22:12:41 UTC
(In reply to Stefan Ehmann from comment #20)
> Haven't done much testing, but a simple test application started using
> java --module-path /usr/local/openjfx14/lib/ --add-modules=javafx.controls
--module-path=/usr/local/openjfx14/lib --add-modules=javafx.swing,javafx.web

Update of databases/sqldeveloper:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=250704